Description: Teachers often manage student lists using spreadsheet software such as Excel/OpenOffice, they will be 

happy if AMC accepts "proper" CSV files generated by such software.  Here, "proper" means that fields may 
be enclosed in double-quotes (" "), double-quote itself is escaped by another double-quote, and fields may 
include commas and line-breaks (CRLF or LF? or CR?).  Also some software precede zero-padded numbers 
with single-quote for text format.

AMC seems to remove enclosing double-quotes, but does not handle special characters in fields.

I am not a perl expert, but I think most of the process may be done by Text::CSV module.

Further, column names for student names will vary in such lists on the spreadsheet, for example, firstname, 
lastname, fullname, and even in other languages.  Is it possible to specify the column names representing 
student names, which is used in the manual association window?

History
04/05/2012 09:32 am - Alexis Bienvenüe
- Target version set to 1.1.0

04/16/2012 02:01 pm - Alexis Bienvenüe
> they will be happy if AMC accepts "proper" CSV files

This should be OK since revision r1009 (use of @Text::CSV@ as suggested): please try.

04/16/2012 03:51 pm - Alexis Bienvenüe
- Status changed from New to Feedback

> Is it possible to specify the column names representing student names

Since revision r1012, this should be possible (Edit/Preferences/Internationalization/CSV (sur)name headers).
Please try a complete process (with annotation) to test.

04/19/2012 02:10 pm - Hiroto Kagotani
Both r1009 and r1012 work very well.
Thank you very much!

04/20/2012 10:27 am - Alexis Bienvenüe
- Status changed from Feedback to Resolved

04/23/2012 10:46 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
